# Interface AdsManager

See: https://developers.google.com/interactive-media-ads/docs/sdks/html5/client-side/reference/js/google.ima.AdsManager

interface AdsManager {
collapse(): void;
configureAdsManager(content, adsRenderingSettings?): void;
destroy(): void;
discardAdBreak(): void;
expand(): void;
focus(): void;
getAdSkippableState(): boolean;
getCuePoints(): number[];
getRemainingTime(): number;
getVolume(): number;
init(width, height, viewMode, videoElement?): void;
isCustomClickTrackingUsed(): boolean;
isCustomPlaybackUsed(): boolean;
pause(): void;
resize(width, height, viewMode): void;
resume(): void;
setVolume(volume): void;
skip(): void;
start(): void;
stop(): void;
updateAdsRenderingSettings(adsRenderingSettings): void;
}

#####
Index

### Methods

collapse
configureAdsManager
destroy
discardAdBreak
expand
focus
getAdSkippableState
getCuePoints
getRemainingTime
getVolume
init
isCustomClickTrackingUsed
isCustomPlaybackUsed
pause
resize
resume
setVolume
skip
start
stop
updateAdsRenderingSettings

## Methods

### collapse

- collapse(): void

- #### Returns void

### configureAdsManager

- configureAdsManager(content, adsRenderingSettings?): void

- #### Parameters

  - content: {}
  - `Optional` adsRenderingSettings: AdsRenderingSettings

  #### Returns void

### destroy

- destroy(): void

- #### Returns void

### discardAdBreak

- discardAdBreak(): void

- #### Returns void

### expand

- expand(): void

- #### Returns void

### focus

- focus(): void

- #### Returns void

### getAdSkippableState

- getAdSkippableState(): boolean

- #### Returns boolean

### getCuePoints

- getCuePoints(): number[]

- #### Returns number[]

### getRemainingTime

- getRemainingTime(): number

- #### Returns number

### getVolume

- getVolume(): number

- #### Returns number

### init

- init(width, height, viewMode, videoElement?): void

- #### Parameters

  - width: number
  - height: number
  - viewMode: ViewMode
  - `Optional` videoElement: HTMLVideoElement

  #### Returns void

### isCustomClickTrackingUsed

- isCustomClickTrackingUsed(): boolean

- #### Returns boolean

### isCustomPlaybackUsed

- isCustomPlaybackUsed(): boolean

- #### Returns boolean

### pause

- pause(): void

- #### Returns void

### resize

- resize(width, height, viewMode): void

- #### Parameters

  - width: number
  - height: number
  - viewMode: ViewMode

  #### Returns void

### resume

- resume(): void

- #### Returns void

### setVolume

- setVolume(volume): void

- #### Parameters

  - volume: number

  #### Returns void

### skip

- skip(): void

- #### Returns void

### start

- start(): void

- #### Returns void

### stop

- stop(): void

- #### Returns void

### updateAdsRenderingSettings

- updateAdsRenderingSettings(adsRenderingSettings): void

- #### Parameters

  - adsRenderingSettings: AdsRenderingSettings

  #### Returns void